Subject: Re: [PATCH] IPv6: Allow nested IPv6 encapsulations on same node

From: "David S. Miller" <[email-masked]>
Date: Wed, 27 Aug 2003 06:45:14 -0700

On Wed, 27 Aug 2003 16:22:38 +0300 (EEST)
Ville Nuorvala <[email-masked]> wrote:

> On Wed, 27 Aug 2003, David S. Miller wrote:
> > Why do you need to use sockets?  Just send the packets out normally.
> 
> Well ok, I don't need to use sockets, but I do need to use socks :)

You don't need socks either.

Using sockets is just a waste of memory, and you're only using
them because of an interface problem.  Do you see what I'm trying
to say?